<?php
global $smof_data;

function next_scripts() 
{ 
    //jQuery
    wp_enqueue_script("moderizermenu", get_stylesheet_directory_uri()."/javascripts/modernizr.custom.menu.js");
    wp_enqueue_script("modernquotes", get_stylesheet_directory_uri()."/javascripts/modernizr.custom.quotes.js");
    wp_enqueue_script("modernservices", get_stylesheet_directory_uri()."/javascripts/modernizr.custom.services.js");
    wp_enqueue_script('jquery');
    //Assets
    wp_enqueue_script("bootstrap", get_stylesheet_directory_uri(). "/assets/js/bootstrap.min.js",array(),false,true);
    //Theme Special    
    wp_enqueue_script("jqeasing", get_stylesheet_directory_uri(). "/javascripts/jquery.easing.1.3.js",array(),false,true); 
    //wp_enqueue_script("resnav", get_stylesheet_directory_uri(). "/javascripts/responsive-nav.js",array(),false,true); 
    wp_enqueue_script("stellar", get_stylesheet_directory_uri(). "/javascripts/jquery.stellar.js",array(),false,true); 
    wp_enqueue_script("prettyphoto", get_stylesheet_directory_uri(). "/javascripts/prettyPhoto.js",array(),false,true); 
    wp_enqueue_script("flexslider", get_stylesheet_directory_uri(). "/javascripts/flexslider.js",array(),false,true); 
    wp_enqueue_script("waypoints", get_stylesheet_directory_uri(). "/javascripts/waypoints.min.js",array(),false,true); 
    wp_enqueue_script("jtqweet", get_stylesheet_directory_uri(). "/javascripts/jquery.tweet.js",array(),false,true); 
    wp_enqueue_script("jportfolio", get_stylesheet_directory_uri(). "/javascripts/portfolio.js",array(),false,true); 
    wp_enqueue_script("form-validation", get_stylesheet_directory_uri(). "/javascripts/form-validation.js",array(),false,true); 
    wp_enqueue_script("canvpiechart", get_stylesheet_directory_uri(). "/javascripts/jquery.easy-pie-chart.js",array(),false,true); 
    wp_enqueue_script("textrotator", get_stylesheet_directory_uri(). "/javascripts/jquery.cbpQTRotator.js",array(),false,true); 
    wp_enqueue_script("classie", get_stylesheet_directory_uri(). "/javascripts/classie.js",array(),false,true); 
    wp_enqueue_script("fittext", get_stylesheet_directory_uri(). "/javascripts/jquery.fittext.js",array(),false,true); 
    wp_enqueue_script("flicker", get_stylesheet_directory_uri(). "/javascripts/jquery.flickr.js",array(),false,true); 
    wp_enqueue_script("boxgrid", get_stylesheet_directory_uri(). "/javascripts/boxgrid.js",array(),false,true); 
   
    wp_enqueue_script("preloader", get_stylesheet_directory_uri(). "/javascripts/preloader.js",array(),false,true); 
    wp_enqueue_script("effects", get_stylesheet_directory_uri(). "/javascripts/effects.js",array(),false,true); 
    wp_enqueue_script("mixitup", get_stylesheet_directory_uri(). "/javascripts/jquery.mixitup.min.js",array(),false,true); 
    wp_enqueue_script("scroll", get_stylesheet_directory_uri(). "/javascripts/scroll.js",array(),false,true);
    wp_enqueue_script("simpletextrotator", get_stylesheet_directory_uri(). "/javascripts/jquery.simple-text-rotator.js",array(),false,true);
    wp_enqueue_script("slidemenu", get_stylesheet_directory_uri(). "/javascripts/slidingmenu.js",array(),false,true);
    wp_enqueue_script("nicescroll", get_stylesheet_directory_uri(). "/javascripts/jquery.nicescroll.min.js",array(),false,true);        
    

    wp_enqueue_script("themescripts", get_stylesheet_directory_uri(). "/javascripts/script.js",array(),false,true); 
    wp_enqueue_script("scaff-inits", get_stylesheet_directory_uri(). "/javascripts/scaffold-inits.js",array(),false,true);    
    wp_enqueue_script("gridinit", get_stylesheet_directory_uri(). "/javascripts/grid-init.js",array(),false,true);
    wp_enqueue_script("fliptext", get_stylesheet_directory_uri(). "/javascripts/fliptext-init.js",array(),false,true);  
    //Wordpress Special
    //wp_enqueue_script("resnav-init", get_stylesheet_directory_uri()."/javascripts/resnav-init.js",array(),false,true);
    //wp_enqueue_script("letters-init", get_stylesheet_directory_uri()."/javascripts/letters-init.js",array(),false,true);
    wp_enqueue_script("grid-init", get_stylesheet_directory_uri()."/javascripts/jquery.fitvids.js",array(),false,true);

}


/*Twitter Init*/
function next_twitter_scripts() {
  wp_enqueue_script( 'twitter-init', get_template_directory_uri() . '/javascripts/twitter-init.js', array(), '1.0.0', true );
}


//Side Navigation Inits
function next_sidehide_scripts() {
  wp_enqueue_script( 'sidenav_hide', get_template_directory_uri() . '/javascripts/side_autohide.js', array(), '1.0.0', true );
}


//Flicker init scripts
function next_flicker_init() {
  wp_enqueue_script( 'flicker_init', get_template_directory_uri() . '/javascripts/flicker-init.js', array(), '1.0.0', true );
}


/*Enque single and menusticky for standard pages*/
function next_issingle() {
        wp_enqueue_script('issingle', get_template_directory_uri(). "/javascripts/issingle.js",array(),'1.0.0',true);  
    }  

function next_removeanimation() {
        wp_enqueue_script('removeanim', get_template_directory_uri(). "/javascripts/removeanim.js",array(),'1.0.0',true);  
    }  

function next_issingle_dequeue() {
    wp_dequeue_script('issingle');
    wp_deregister_script('issingle');
}

function next_bgnd_slider() {
  wp_enqueue_script("bgnd", get_stylesheet_directory_uri(). "/javascripts/mb.bgndGallery.js",array(),false,true);  
  wp_enqueue_script('bgnd_init', get_template_directory_uri() . '/javascripts/bgslider-fade-init.js', array(), '1.0.0', true );
}
?>